Bug 217800 - lang/php70: Update to 7.0.17 + lang/php71: Update to 7.1.3
Summary: lang/php70: Update to 7.0.17 + lang/php71: Update to 7.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-15 10:50 UTC by Jochen Neumeister
Modified: 2017-03-20 09:40 UTC (History)
2 users (show)

See Also:
tz: maintainer-feedback+
tz: merge-quarterly+


Attachments
Patch php70 (784 bytes, patch)
2017-03-15 11:17 UTC, Jochen Neumeister
joneum: maintainer-approval? (tz)
Details | Diff
Patch PHP71 (778 bytes, patch)
2017-03-15 12:34 UTC, Jochen Neumeister
joneum: maintainer-approval? (tz)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2017-03-15 10:50:05 UTC
Update is in progress
Comment 1 Jochen Neumeister freebsd_committer 2017-03-15 11:17:18 UTC
Created attachment 180841 [details]
Patch php70

Here is the Update for php70:

http://php.net/ChangeLog-7.php (Changes are not yet available)

poudriere build fine for:
10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r314826) 

Chech with:
% grep -RH 7.0.16 /usr/ports/*/php70*/Makefile

Tests incl all Slave Ports in Poudrire

edit
 lang/php70/pkg-plist
Comment 2 Jochen Neumeister freebsd_committer 2017-03-15 12:34:52 UTC
Created attachment 180844 [details]
Patch PHP71

Here is the Update for php71:

http://php.net/ChangeLog-7.php (Changes are not yet available)

poudriere build fine for:
10.3 amd + i386
11.0 amd + i386
12-current amd + i386 (r314826) 

Check with:
% grep -RH 7.1.2 /usr/ports/*/php71*/Makefile

Tests incl all Slave Ports in Poudrire

edit
 lang/php71/pkg-plist

Cheers
jochen
Comment 3 commit-hook freebsd_committer 2017-03-16 13:04:50 UTC
A commit references this bug:

Author: tz
Date: Thu Mar 16 13:04:32 UTC 2017
New revision: 436275
URL: https://svnweb.freebsd.org/changeset/ports/436275

Log:
  Update PHP 7 from 7.0.16 to 7.0.17

  Changelog: http://www.php.net/ChangeLog-7.php#7.0.17

  PR:           217800
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>
  MFH:          2017Q1

Changes:
  head/lang/php70/Makefile
  head/lang/php70/distinfo
Comment 4 commit-hook freebsd_committer 2017-03-17 08:42:52 UTC
A commit references this bug:

Author: tz
Date: Fri Mar 17 08:42:38 UTC 2017
New revision: 436324
URL: https://svnweb.freebsd.org/changeset/ports/436324

Log:
  MFH: r436275

  Update PHP 7 from 7.0.16 to 7.0.17

  Changelog: http://www.php.net/ChangeLog-7.php#7.0.17

  PR:           217800
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>

  Approved by: ports-secteam (junovitch)

Changes:
_U  branches/2017Q1/
  branches/2017Q1/lang/php70/Makefile
  branches/2017Q1/lang/php70/distinfo
Comment 5 commit-hook freebsd_committer 2017-03-17 09:18:25 UTC
A commit references this bug:

Author: tz
Date: Fri Mar 17 09:17:20 UTC 2017
New revision: 436329
URL: https://svnweb.freebsd.org/changeset/ports/436329

Log:
  Update PHP 7.1 from 7.1.2 to 7.1.3

  Changelog: http://www.php.net/ChangeLog-7.php#7.1.3

  PR:           217800
  Submitted by: Jochen Neumeister <joneum@bsdproject.de>
  MFH:          2017Q1

Changes:
  head/lang/php71/Makefile
  head/lang/php71/distinfo
Comment 6 Torsten Zuehlsdorff freebsd_committer 2017-03-20 09:40:21 UTC
Committed, thanks! :)